Sale-CardToken
API ExplorerSubmits a transaction request with merchant authentication, preferences, and AVS details.
Header Parameters
token*string
Authentication token generated using the API Key and Secret Key. Required for all API requests.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com" \ -H "token: string" \ -H "Content-Type: application/json" \ -d '{ "merchantAuthentication": { "merchantId": "", "transactionReferenceId": "" }, "preferences": { "eReceipt": false, "customerName": "", "customerEmail": "", "customerMobile": "", "requestCardToken": true }, "transactionRequest": { "amount": "", "transactionType": 1, "cardToken": "", "applySteamSettingTipFeeTax": false }, "avs": { "StreetNo": "", "Zip": "" } }'{
"iposhpresponse": {
"responseCode": "200",
"responseMessage": "Success",
"transactionReferenceId": "",
"transactionType": "1",
"transactionId": "",
"chdToken": "",
"amount": "123",
"responseApprovalCode": "",
"rrn": "",
"transactionNumber": "1",
"batchNumber": "4",
"totalAmount": "123",
"cardType": "CREDIT",
"label": "MASTERCARD",
"l2l3Flag": "N",
"maskedPan": "",
"expDate": "1228",
"hostResponseCode": "00",
"hostResponseMessage": "APPROVAL VTLMC1 ",
"hTxId": " "
}
}{
"errors": [
{
"field": "cardNumber",
"message": "Invalid card number format."
}
]
}